| Earth Observation Mission CFI Software DataHandling Software User Manual |

Public Member Functions | Public Attributes

# EECFI::PropagPreciseConf Class Reference

Class to store the data for numerical propagator configuration. More...

Inheritance diagram for EECFI::PropagPreciseConf:

List of all members.

## Public Member Functions
| PropagPreciseConf ()
| Empty constructor.
| ~PropagPreciseConf ()
| Destructor.
void | read (const string &preciseConfFile) throw (CfiError)
| Read precise propag configuration file data block.
## Public Attributes
bool | userFlag
string | modelsPath
| Path where files neccesary for models are looked for.
bool | gravityFlag
| Gravity perturbation used (1) or not (0).
bool | thirdbodyFlag
| Third bodies perturbation used (1) or not (0).
bool | atmosFlag
| Atmosphere perturbation used (1) or not (0).
bool | srpFlag
| Solar radiation pressure perturbation used (1) or not (0).
double | step
| Simulation step [s].
string | gravFile
| File with data of gravitational model.
long | gravDegree
| Degree used gravity model.
long | gravOrder
| Order used in gravity model.
bool | sgaFlag
| Parameters used (0) or data read from file (1).
string | sgaApFile
| File with Geomagnetic Activity index values.
string | sgaF107File
| File with F10.7 Solar Activity index values.
double | ap
| Geomagnetic Activity Index (daily value).
double | f107
| F10.7 Index Solar Activy Index (daily value).
double | f107a
| F10.7 Index Solar Activy Index (value averaged over 3 months).
double | scMass
| S/C mass [kg].
double | scDragArea
| S/C effective drag area [m^2].
double | scDragCoeff
| S/C drag coefficient [adim].
double | scSrpArea
| S/C effective SRP area [m^2].
double | scSrpCoeff
| S/C SRP coefficient [adim].

## Detailed Description

Class to store the data for numerical propagator configuration.

## Constructor & Destructor Documentation

EECFI::PropagPreciseConf::PropagPreciseConf | ( |  | ) |

Empty constructor.

References ap, atmosFlag, f107, f107a, gravDegree, gravFile, gravityFlag, gravOrder, modelsPath, scDragArea, scDragCoeff, scMass, scSrpArea, scSrpCoeff, sgaApFile, sgaF107File, sgaFlag, srpFlag, step, thirdbodyFlag, and userFlag.

EECFI::PropagPreciseConf::~PropagPreciseConf | ( |  | ) |

Destructor.

## Member Function Documentation

void EECFI::PropagPreciseConf::read | ( | const string & | preciseConfFile | ) | throw (CfiError)

Read precise propag configuration file data block.

Parameters:

  | preciseConfFile | File with precise configuration.

## Member Data Documentation

double EECFI::PropagPreciseConf::ap

Geomagnetic Activity Index (daily value).

Referenced by PropagPreciseConf().

bool EECFI::PropagPreciseConf::atmosFlag

Atmosphere perturbation used (1) or not (0).

Referenced by PropagPreciseConf().

double EECFI::PropagPreciseConf::f107

F10.7 Index Solar Activy Index (daily value).

Referenced by PropagPreciseConf().

double EECFI::PropagPreciseConf::f107a

F10.7 Index Solar Activy Index (value averaged over 3 months).

Referenced by PropagPreciseConf().

long EECFI::PropagPreciseConf::gravDegree

Degree used gravity model.

Referenced by PropagPreciseConf().

string EECFI::PropagPreciseConf::gravFile

File with data of gravitational model.

Referenced by PropagPreciseConf().

bool EECFI::PropagPreciseConf::gravityFlag

Gravity perturbation used (1) or not (0).

Referenced by PropagPreciseConf().

long EECFI::PropagPreciseConf::gravOrder

Order used in gravity model.

Referenced by PropagPreciseConf().

string EECFI::PropagPreciseConf::modelsPath

Path where files neccesary for models are looked for.

Referenced by PropagPreciseConf().

double EECFI::PropagPreciseConf::scDragArea

S/C effective drag area [m^2].

Referenced by PropagPreciseConf().

double EECFI::PropagPreciseConf::scDragCoeff

S/C drag coefficient [adim].

Referenced by PropagPreciseConf().

double EECFI::PropagPreciseConf::scMass

S/C mass [kg].

Referenced by PropagPreciseConf().

double EECFI::PropagPreciseConf::scSrpArea

S/C effective SRP area [m^2].

Referenced by PropagPreciseConf().

double EECFI::PropagPreciseConf::scSrpCoeff

S/C SRP coefficient [adim].

Referenced by PropagPreciseConf().

string EECFI::PropagPreciseConf::sgaApFile

File with Geomagnetic Activity index values.

Referenced by PropagPreciseConf().

string EECFI::PropagPreciseConf::sgaF107File

File with F10.7 Solar Activity index values.

Referenced by PropagPreciseConf().

bool EECFI::PropagPreciseConf::sgaFlag

Parameters used (0) or data read from file (1).

Referenced by PropagPreciseConf().

bool EECFI::PropagPreciseConf::srpFlag

Solar radiation pressure perturbation used (1) or not (0).

Referenced by PropagPreciseConf().

double EECFI::PropagPreciseConf::step

Simulation step [s].

Referenced by PropagPreciseConf().

bool EECFI::PropagPreciseConf::thirdbodyFlag

Third bodies perturbation used (1) or not (0).

Referenced by PropagPreciseConf().

bool EECFI::PropagPreciseConf::userFlag

Referenced by PropagPreciseConf().